Bug 1759158 - Auto-type into firefox no longer works in F31 under wayland
Summary: Auto-type into firefox no longer works in F31 under wayland
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: keepassxc
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Germano Massullo
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: WaylandRelated
TreeView+ depends on / blocked
 
Reported: 2019-10-07 14:03 UTC by Hedayat Vatankhah
Modified: 2019-11-28 17:04 UTC (History)
6 users (show)

Fixed In Version: keepassxc-2.5.1-1.fc31 keepassxc-2.5.1-1.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-21 00:55:42 UTC


Attachments (Terms of Use)

Description Hedayat Vatankhah 2019-10-07 14:03:26 UTC
Description of problem:
Under F31, Firefox is run natively under Wayland and so, KeePassXC is unable to see its windows. Therefore, Auto-type feature doesn't work anymore.

Actual results:
Auto-Type doesn't work for Firefox (and probably any other Wayland native app windows)

Expected results:
Auto-type should work under Wayland too

Comment 1 Bastiaan Bakker 2019-10-14 15:13:21 UTC
Autotype into gnome Terminal or LibreOffice doesn't work either. It still works with Chrome though.

Comment 2 IanB 2019-10-14 23:59:35 UTC
Copy and paste is also broken between KeepassXC and any application except Chrome.

Comment 3 Hedayat Vatankhah 2019-10-15 00:09:54 UTC
Because Chrome is not a native Wayland app. As a workaround, you can install firefox-x11 package and run "Firefox on X11" instead of Firefox. Then everything will work.

But for me Copy & Paste (almost) works. 

Anyway, the problem is not the apps themselves; it is related to Wayland. For example, KeePassX only sees open X11 windows and not wayland ones. In fact, I doubt it is possible at all to see the list of Wayland apps. Also, it might not be possible to send keyboard events to another Wayland app. 

I've created this bug to track the problem; which is not even limited to KeePassX; but probably one of rare apps for whom this feature is important.

Comment 4 Fedora Update System 2019-10-29 15:56:18 UTC
FEDORA-2019-c00509422e has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-c00509422e

Comment 5 Fedora Update System 2019-10-29 15:56:19 UTC
FEDORA-2019-2dad0f65e5 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-2dad0f65e5

Comment 6 Fedora Update System 2019-10-30 01:19:50 UTC
keepassxc-2.5.0-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-c00509422e

Comment 7 Fedora Update System 2019-10-30 02:40:25 UTC
keepassxc-2.5.0-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-2dad0f65e5

Comment 8 Hedayat Vatankhah 2019-10-30 18:54:42 UTC
This bug is not fixed in latest updates. There is a (hacky) PR for it but it is not merged yet. I thought you might have included it but apparently not. So, there is no AutoType feature under Wayland currently.

Comment 9 frog 2019-11-01 18:22:56 UTC
https://bugzilla.redhat.com/show_bug.cgi?id=1761153
I reported 1761153 as a bug for keepass in combination with both F31 and F32 (Rawhide)
myself not highly technical but it looks like the same issue as 1759158
agree that copy and paste works, but autotype would be much more practical
under F30 everything worked fine

Comment 10 frog 2019-11-02 07:47:39 UTC
I confirm that this is an issue with Firefox only. it works fine with Chromium and Chrome

Comment 11 Fedora Update System 2019-11-13 07:26:16 UTC
FEDORA-2019-3195095ccd has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-3195095ccd

Comment 12 Fedora Update System 2019-11-13 10:47:33 UTC
keepassxc-2.5.1-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-3195095ccd

Comment 13 Fedora Update System 2019-11-13 10:53:36 UTC
keepassxc-2.5.1-1.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-8ca32a1664

Comment 14 Fedora Update System 2019-11-15 03:02:00 UTC
keepassxc-2.5.1-1.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Hedayat Vatankhah 2019-11-15 12:59:57 UTC
The update doesn't seem to fix this bug. Is it really supposed to?

Comment 16 Fedora Update System 2019-11-21 00:55:42 UTC
keepassxc-2.5.1-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 17 Bastiaan Bakker 2019-11-22 17:50:27 UTC
2.5.1 is actually worse compared to 2.4.x:in 2.4.x autotype would still work with X based apps, like Chrome. 
in 2.5.1, the autotype action (shift-ctrl-V) has completely vanished without explanation to the user. 
Apparently this was delibirate, see https://github.com/keepassxreboot/keepassxc/pull/3520

I've created upstream issue https://github.com/keepassxreboot/keepassxc/issues/3868  for this


Note You need to log in before you can comment on or make changes to this bug.